Pi Durable Platformdocs
ReferenceModels and usage

One of the team's own providers (its members in a browser session, platform staff)

GET
/v1/teams/{team}/model-providers/{providerId}

Path Parameters

team*string

Team slug or ID

providerId*string
Formatuuid

Response Body

Provider

application/json
  1. response
data*
curl -X GET 'https://agents.example.com/v1/teams/string/model-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "kind": "openai",    "baseUrl": "string",    "accessMode": "proxy",    "enabled": true,    "hasHeaders": true,    "modelCount": 0,    "revision": 0,    "team": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "name": "string",      "kind": "team"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}